# TODO:
# - make cgi scripts from doc as separate packages
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Filesys
%define		pnam	SmbClient
Summary:	Filesys::SmbClient - interface for access Samba filesystem
Summary(pl.UTF-8):	Filesys::SmbClient - interfejs dostępu do systemu plików Samby
Name:		perl-Filesys-SmbClient
Version:	1.5
Release:	7
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Filesys/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d5fdb54c7a36053bbf0e4f77c17fc885
URL:		http://search.cpan.org/dist/Filesys-SmbClient/
BuildRequires:	autoconf
BuildRequires:	libsmbclient-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define _noautocompressdoc *.cgi

%description
Filesys::SmbClient Perl module provides interface to access routine
defined in libsmbclient.so and, using this routine, Samba filesystem.

%description -l pl.UTF-8
Moduł Perla Filesys::SmbClient stanowi interfejs dostępu do procedury
zdefiniowanej w libsmbclient.so i, za pośrednictwem tej procedury, do
systemu plików Samby.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__autoconf}
%configure
%{__perl} -MExtUtils::MakeMaker -e 'WriteMakefile(NAME=>"Filesys::SmbClient",
	OBJECT=>"libauthSamba.o SmbClient.o", LIBS=>["-lsmbclient"],
	VERSION_FROM=>"SmbClient.pm")' \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes smb2www-2.cgi smb2www.css
%dir %{perl_vendorarch}/Filesys
%{perl_vendorarch}/Filesys/*.pm
%dir %{perl_vendorarch}/auto/Filesys
%dir %{perl_vendorarch}/auto/Filesys/SmbClient
# empty autosplit.ix
#%%{perl_vendorarch}/auto/Filesys/SmbClient/autosplit.ix
%{perl_vendorarch}/auto/Filesys/SmbClient/SmbClient.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Filesys/SmbClient/SmbClient.so
# this is NOT duplicate:
#%dir %{perl_vendorarch}/auto/Filesys/Smbclient
#%dir %{perl_vendorarch}/auto/Filesys/Smbclient/libauthSamba
#%%{perl_vendorarch}/auto/Filesys/Smbclient/libauthSamba/libauthSamba.a
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Filesys-SmbClient.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 9c4b755
- rebuild with perl 5.18.0
- release 7 (by relup.sh)

* Wed Jun 30 2010 amateja <amateja@pld-linux.org> 46b23a6
- release 6

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3aa0134
- release 5

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 9a82ecf
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 68f12e7
- rel 4

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 74c8068
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6dac429
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 41a3b9f
- converted to UTF-8

* Thu Mar 24 2005 Andrzej Zawadzki <zawadaa@gmail.com> b627ba0
- rel up for build with new libsmbclient, STBR
- but CPAN has new 3.0 ver - upgrade?

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 372c895
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 646d23f
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Sun May 30 2004 radek <radek@pld-linux.org> 9a5250d
- not needed anymore

* Sun May 30 2004 radek <radek@pld-linux.org> c0fae20
- release 2: finished upgrade, removed patch0, builds now.

* Thu May 06 2004 ankry <ankry@pld-linux.org> b71a139
- fixed perl-devel BR

* Sat Apr 24 2004 ankry <ankry@pld-linux.org> 7802cd2
- added OPTIMIZE=...

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> b21f5a6
- summary/description/license fixes

* Mon Feb 16 2004 Jakub Bogusz <qboosh@pld-linux.org> 61079ad
- next part of locale names update for glibc 2.3.3: s/no/nb/ in rpm headers

* Sun Nov 16 2003 migo <migo@pld-linux.org> a16ad90
- up to 1.5, new bcond style
- not tested

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> fb63729
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> c14a1db
- massive attack: source-md5

